# Method: projects.locations.processors.prebuilt

- [HTTP request](https://docs.cloud.google.com/vision-ai/docs/reference/rest/v1/projects.locations.processors/prebuilt#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/vision-ai/docs/reference/rest/v1/projects.locations.processors/prebuilt#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/vision-ai/docs/reference/rest/v1/projects.locations.processors/prebuilt#body.request_body)
- [Response body](https://docs.cloud.google.com/vision-ai/docs/reference/rest/v1/projects.locations.processors/prebuilt#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/vision-ai/docs/reference/rest/v1/projects.locations.processors/prebuilt#body.ListPrebuiltProcessorsResponse.SCHEMA_REPRESENTATION)
- [Authorization Scopes](https://docs.cloud.google.com/vision-ai/docs/reference/rest/v1/projects.locations.processors/prebuilt#body.aspect)

processors.prebuilt is a custom pass-through verb that Lists Prebuilt Processors.

### HTTP request

`POST https://{endpoint}/v1/{parent=projects/*/locations/*}/processors:prebuilt`

Where `{endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/vision-ai/docs/reference/rest#rest_endpoints).

The URLs use [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. Parent path. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains data with the following structure:
Response Message for listing Prebuilt Processors.

| JSON representation |
|---|
| ``` { "processors": [ { object (`https://docs.cloud.google.com/vision-ai/docs/reference/rest/v1/projects.locations.processors#Processor`) } ] } ``` |

| Fields ||
|---|---|
| `processors[]` | ``object (`https://docs.cloud.google.com/vision-ai/docs/reference/rest/v1/projects.locations.processors#Processor`)`` The list of Processor. |

### Authorization Scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://cloud.google.com/docs/authentication/).